<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- stylesheet for KEVAG Telekom, sales dept.
** General letter creation as pdf with header-logo and footer
** 
** Version 1.0
**
** Copyright 2008 dimari GmbH
**
** Copyright dimari GmbH 2008
-->
	<!-- Version history
v0.1 initial creation
v0.2 code optimization
v0.3 layout corrections
v0.4 image changed
v1.0 released
-->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:fn="http://www.w3.org/2005/xpath-functions" 
	xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:decimal-format name="euro" decimal-separator="," grouping-separator="."/>
	<!--<xsl:output version="1.0" method="xml" encoding="ISO-8859-1" indent="no"/>-->
	<xsl:template match="/">		
		<fo:root font-family="Tahoma" font-size="10pt">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="first" page-height="297mm" page-width="210mm" margin-top="0mm" margin-bottom="0mm" margin-left="19mm" margin-right="24mm">
					<fo:region-body margin-bottom="28mm" margin-top="40mm"/>
					<fo:region-before region-name="headfirst" extent="40mm"/>
					<fo:region-after region-name="footfirst" extent="28mm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="rest" page-height="297mm" page-width="210mm" margin-top="0mm" margin-bottom="10mm" margin-left="19mm" margin-right="24mm">
					<fo:region-body margin-bottom="10mm" margin-top="45mm"/>
					<fo:region-before region-name="headrest" extent="20mm"/>
					<fo:region-after region-name="footrest" extent="10mm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="document" language="de" initial-page-number="1">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference page-position="first" master-reference="first"/>
						<fo:conditional-page-master-reference page-position="rest" master-reference="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="document" language="de" initial-page-number="1">
				<fo:static-content flow-name="headfirst">
					<fo:block-container position="absolute" height="4cm" left="-19mm" top="0.0cm" width="210mm">
						<fo:block>
							<!--<fo:external-graphic scaling="inherit" height="4.0cm" width="21cm" src="\\Bill2\variobill_2\shared\images\Briefkopf2005_08.PNG"/>-->
							<fo:external-graphic scaling="inherit" height="4.0cm" width="21cm" src="file:////Dimari-server4\variobill\shared\images\KEVAG_Briefkopf2005_08.PNG"/>
						</fo:block>
					</fo:block-container>
				</fo:static-content>
				<fo:static-content flow-name="headrest">
					<fo:block-container position="absolute" height="4cm" left="-19mm" top="0.0cm" width="210mm">
						<fo:block>
							<!--<fo:external-graphic scaling="inherit" height="4.0cm" width="21cm" src="\\Bill2\variobill_2\shared\images\Briefkopf2005_08.PNG"/>-->
							<fo:external-graphic scaling="inherit" height="4.0cm" width="21cm" src="file:////Dimari-server4\variobill\shared\images\KEVAG_Briefkopf2005_08.PNG"/>
						</fo:block>
					</fo:block-container>
				</fo:static-content>
				<!-- Fusszeile/Abbinder -->
				<fo:static-content flow-name="footfirst">
					<fo:block text-align="end" font-size="6.5pt">
							Seite 
						<fo:page-number/>
					</fo:block>
					<fo:block margin-left="0cm" margin-right="0cm" line-height="0mm">
						<fo:leader color="#5a5a9c" leader-length="16.5cm" leader-pattern="rule" rule-style="solid"/>
						<!-- color="#5a5a9c" -->
					</fo:block>
					<fo:table table-layout="fixed" width="165mm" padding="0" font-size="6.5pt" text-align="left" space-before="2mm">
						<fo:table-column column-width="45mm"/>
						<fo:table-column column-width="45mm"/>
						<fo:table-column column-width="30mm"/>
						<fo:table-column column-width="25mm"/>
						<fo:table-column column-width="20mm"/>
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block>KEVAG Telekom GmbH</fo:block>
									<fo:block>Geschftsfhrer:</fo:block>
									<fo:block>Bernd Gowitzke, Heinz-Josef Schneider</fo:block>
									<fo:block>Sitz der Gesellschaft: Koblenz</fo:block>
									<fo:block>Amtsgericht Koblenz, HRB Nr. 5343</fo:block>
									<fo:block>USt.IdNr. DE 18 77 67 843</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block>Cusanusstrae 7</fo:block>
									<fo:block>56073 Koblenz</fo:block>
									<fo:block>Telefon: (0261) 392-1000</fo:block>
									<fo:block>Telefax: (0261) 392-1022</fo:block>
									<fo:block>E-Mail: info@kevag-telekom.de</fo:block>
									<fo:block>http://www.kevag-telekom.de</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block>Bankverbindung</fo:block>
									<fo:block>Sparkasse Koblenz</fo:block>
									<fo:block>(BLZ 570 501 20)</fo:block>
									<fo:block>Konto-Nr. 153 957</fo:block>
									<fo:block>St-Nr. 22/650/0182/7</fo:block>
									<fo:block color="white">leerfeld</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-weight="bold">Privatkunden</fo:block>
									<fo:block>Vertrieb:</fo:block>
									<fo:block>technische Hotline:</fo:block>
									<fo:block font-weight="bold">Geschftskunden</fo:block>
									<fo:block>Vertrieb:</fo:block>
									<fo:block>technische Hotline:</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right">
									<fo:block color="white">leerfeld</fo:block>
									<fo:block>(0261) 392-1955</fo:block>
									<fo:block>(0261) 392-1111</fo:block>
									<fo:block color="white">leerfeld</fo:block>
									<fo:block>(0261) 392-1055</fo:block>
									<fo:block>(0261) 392-1102</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</fo:static-content>
				<fo:static-content flow-name="footrest">
					<fo:block space-after="2mm" text-align="end" font-size="7pt">
						<fo:inline>Seite </fo:inline>
						<fo:page-number/>
					</fo:block>
					<fo:block line-height="-0.6cm" margin-left="0cm" margin-right="0cm">
						<fo:leader color="#5a5a9c" leader-length="16.5cm" leader-pattern="rule" rule-style="solid"/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<xsl:apply-templates/>
					<fo:block id="SV_RefID_PageTotal"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
							<xsl:template match="CUSTOMER">
								<xsl:for-each select="ADDRESS_DATA[1]">
									<fo:table table-layout="fixed" width="100%">
										<fo:table-column column-width="100%"/>
										<fo:table-body>
											<fo:table-row>
												<fo:table-cell>
													<fo:block font-size="6.5pt" space-after="4mm">
														<xsl:text>KEVAG Telekom &#8226; Cusanusstrae 7 &#8226; 56073 Koblenz</xsl:text>
													</fo:block>
													<fo:block>
														<xsl:choose>
															<xsl:when test="COMPANY  = &apos;&apos;">
																<xsl:choose>
																	<xsl:when test="SALUTATION  = &quot;Herr&quot;">
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																			<xsl:text>n</xsl:text>
																		</fo:block>
																		<fo:block>
																			<xsl:if test="FIRSTNAME !=&apos;&apos;">
																				<xsl:value-of select="FIRSTNAME"/>
																				<xsl:text>&#160;</xsl:text>
																			</xsl:if>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &quot;Frau&quot;">
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																		</fo:block>
																		<fo:block>
																			<xsl:if test="FIRSTNAME !=&apos;&apos;">
																				<xsl:value-of select="FIRSTNAME"/>
																				<xsl:text>&#160;</xsl:text>
																			</xsl:if>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &apos;Eheleute&apos;">
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																		</fo:block>
																		<fo:block>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &apos;Herr und Frau&apos;">
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																		</fo:block>
																		<fo:block>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &apos;Frau und Herr&apos;">
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																		</fo:block>
																		<fo:block>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &apos;&apos;">
																		<fo:block>
																			<xsl:if test="FIRSTNAME !=&apos;&apos;">
																				<xsl:value-of select="FIRSTNAME"/>
																				<xsl:text>&#160;</xsl:text>
																			</xsl:if>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &apos;Frau X, Herr Y&apos;">
																		<fo:block>
																			<xsl:text>Frau </xsl:text>
																			<xsl:if test="FIRSTNAME !=&apos;&apos;">
																				<xsl:value-of select="FIRSTNAME"/>
																			</xsl:if>
																		</fo:block>
																		<fo:block>
																			<xsl:text>Herrn </xsl:text>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																</xsl:choose>
															</xsl:when>
															<xsl:when test="COMPANY  != &apos;&apos;">
																<xsl:choose>
																	<xsl:when test="SALUTATION  = &quot;Herr&quot;">
																		<fo:block>
																			<xsl:value-of select="COMPANY"/>
																		</fo:block>
																		<xsl:if test="COMPANY2 !='' ">
																			<fo:block>
																				<xsl:value-of select="COMPANY2"/>
																			</fo:block>
																		</xsl:if>
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																			<xsl:text>n </xsl:text>
																			<xsl:if test="FIRSTNAME !=&apos;&apos;">
																				<xsl:value-of select="FIRSTNAME"/>
																				<xsl:text>&#160;</xsl:text>
																			</xsl:if>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &quot;Frau&quot;">
																		<fo:block>
																			<xsl:value-of select="COMPANY"/>
																		</fo:block>
																		<fo:block>
																			<xsl:value-of select="COMPANY2"/>
																		</fo:block>
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																			<xsl:text>&#160;</xsl:text>
																			<xsl:if test="FIRSTNAME !=&apos;&apos;">
																				<xsl:value-of select="FIRSTNAME"/>
																				<xsl:text>&#160;</xsl:text>
																			</xsl:if>
																			<xsl:if test="NAME !=&apos;&apos;">
																				<xsl:value-of select="NAME"/>
																			</xsl:if>
																		</fo:block>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &quot;Firma&quot;">
																		<fo:block>
																			<xsl:value-of select="SALUTATION"/>
																		</fo:block>
																		<fo:block>
																			<xsl:value-of select="COMPANY"/>
																		</fo:block>
																		<xsl:if test="COMPANY2 !='' ">
																			<fo:block>
																				<xsl:value-of select="COMPANY2"/>
																			</fo:block>
																		</xsl:if>
																	</xsl:when>
																	<xsl:when test="SALUTATION = &apos;&apos;">
																		<fo:block>
																			<xsl:value-of select="COMPANY"/>
																		</fo:block>
																		<xsl:if test="COMPANY2 !='' ">
																			<fo:block>
																				<xsl:value-of select="COMPANY2"/>
																			</fo:block>
																		</xsl:if>
																	</xsl:when>
																</xsl:choose>
															</xsl:when>
														</xsl:choose>
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
											<fo:table-row>
												<fo:table-cell>
													<fo:block>
														<xsl:if test="STREET !=&apos;&apos;">
															<xsl:value-of select="STREET"/>
															<xsl:text> </xsl:text>
															<xsl:value-of select="HOUSENO"/>
															<xsl:text> </xsl:text>
															<xsl:value-of select="HOUSENO_SUPPL"/>
														</xsl:if>
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
											<fo:table-row>
												<fo:table-cell>
													<fo:block>
														<xsl:value-of select="CITYCODE"/>
														<xsl:text>&#160;</xsl:text>
														<xsl:value-of select="CITY"/>
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-body>
									</fo:table>
								</xsl:for-each>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:table table-layout="fixed" width="100%" border-spacing="0">
									<fo:table-column column-width="25%"/>
									<fo:table-column column-width="25%"/>
									<fo:table-column column-width="25%"/>
									<fo:table-column column-width="proportional-column-width(1)"/>
									<fo:table-body start-indent="0pt">
										<fo:table-row>
											<fo:table-cell padding="0">
												<fo:block font-size="6.5pt" font-style="italic">
													<xsl:text>Unser Zeichen</xsl:text>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell padding="0">
												<fo:block font-size="6.5pt" font-style="italic">
													<xsl:text>Telefondurchwahl</xsl:text>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell padding="0">
												<fo:block font-size="6.5pt" font-style="italic">
													<xsl:text>E-Mail Adresse</xsl:text>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell padding="0">
												<fo:block font-size="6.5pt" font-style="italic">
													<xsl:text>Datum</xsl:text>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row>
											<fo:table-cell padding="0">
												<fo:block>
													<xsl:text>KTK - </xsl:text>
													<xsl:value-of select="substring-before( USER_DATA/EMAIL  , &apos;@&apos;)"/>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell padding="0">
												<fo:block>
													<xsl:value-of select="USER_DATA/PHONE"/>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell padding="0">
												<fo:block>
													<xsl:value-of select="USER_DATA/EMAIL"/>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell padding="0">
												<fo:block>
													<xsl:choose>
														<xsl:when test="name( CONTRACTS/CONTRACT/DOCUMENT_DATE )">
															<xsl:value-of select="CONTRACTS/CONTRACT/DOCUMENT_DATE"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="DOCUMENT_DATE"/>
														</xsl:otherwise>
													</xsl:choose>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-body>
								</fo:table>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block font-size="10pt" font-weight="bold">
									<xsl:value-of select="FREE_TEXT"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<xsl:for-each select="ADDRESS_DATA[1]">
									<xsl:choose>
										<xsl:when test="SALUTATION = &apos;Firma&apos; or  SALUTATION =&apos;&apos;">
											<xsl:value-of select="SALUTATION2"/>
											<xsl:text>,</xsl:text>
										</xsl:when>
										<xsl:when test="SALUTATION = &apos;Frau X, Herr Y&apos;">
											<xsl:text>Sehr geehrte Frau </xsl:text>
											<xsl:value-of select="substring-after(FIRSTNAME, &apos; &apos; )"/>
											<xsl:text>, </xsl:text>
											<fo:block>
												<xsl:text>sehr geehrter Herr </xsl:text>
												<xsl:value-of select="substring-after(NAME, &apos; &apos; )"/>
												<xsl:text>,</xsl:text>
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="SALUTATION2"/>
											<xsl:text>&#160;</xsl:text>
											<xsl:value-of select="NAME"/>
											<xsl:text>,</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block linefeed-treatment="preserve" white-space-collapse="false" white-space-treatment="preserve" wrap-option="wrap">
									<xsl:value-of select="FREE_TEXT_1"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<xsl:text>Mit freundlichem Gru</xsl:text>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<xsl:text>i.A. </xsl:text>
									<xsl:value-of select="USER_DATA/FULLNAME"/>
								</fo:block>
								<fo:block>
									<fo:leader leader-pattern="space"/>
								</fo:block>
								<fo:block>
									<xsl:value-of select="USER_DATA/ORGANIZATION_UNIT"/>
								</fo:block>
								<fo:block>
									<xsl:text>KEVAG Telekom GmbH</xsl:text>
								</fo:block>
							</xsl:template>
</xsl:stylesheet>
